<!DOCTYPE html>
<html>

<head>
    <title>Display Solution</title>
    <meta charset="utf-8">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.0/jquery.min.js"></script>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css" />
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
</head>

<body>
    <?php
    $myfile = fopen("output.txt", "r");
    $number_variable = '';
    $number_step = '';
    $step_data = array();
    $name = '';
    $objective = '';
    $number_constraint = '';
    $constraints = '';
    $inequality_constraint = '';
    $feasible_solution = '';
    $count = 0;
    while (!feof($myfile)){
        $line = explode(" ", fgets($myfile));
        if ($count == 0){
            $number_variable = $line[2];
        }
        elseif ($count == 1){
            $number_step = $line[1];
        }
        else{
            $line = array("mu" => $line[0], "x" => array_slice($line, 1));
        }
        $count++;
    }
    ?>
        <br />
        <div class="container">
            <h2>
                <?php echo "Mabyte" ?>
            </h2>
            <div class="col-md-12" style="padding-left: 0;">
                <form name="data_entry" action="action.php" method="post">
                    <p>On donne ici les différentes variables, la fonction objective et les contraintes à résoudre.</p>
                    <p>En premier, il nous faut le nombres de variables.</p>
                    <div class="form-group">
                        <label>Nombre de variables</label>
                        <input type="text" name="number_variable" value="3" class="form-control" value="" />
                    </div>
                    <p>
                        En deuxième, on a besoin du nom de toutes les variables. Il faut les mettre les unes à la suite des autres, séparées d'un espace
                    </p>
                    <div class="form-group">
                        <label>Noms des variables</label>
                        <input type="text" name="name" value="x1 x2 x3" class="form-control" value="" />
                    </div>
                    <p>
                        En troisième, on a besoin du vecteur associé à la fonction objective. Par exemple, si on étudie "3x1 + 2x2", on écrit "3 2 0". Les coefficients du vecteur sont séparés par un espace.
                    </p>
                    <div class="form-group">
                        <label>Fonction objective</label>
                        <input type="text" name="objective" value="3 2 0" class="form-control" value="" />
                    </div>
                    <p>
                        Ensuite, on passe aux contraintes d'égalités associées (celles du type "x1 + x2 + x3 = 9"). On écrit le nombre de contraintes d'égalités.
                    </p>
                    <div class="form-group">
                        <label>Nombres de contraintes d'égalités</label>
                        <input type="text" name="number_constraint" value="2" class="form-control" value="" />
                    </div>
                    <p>
                        Ici, on écrit le vecteurs associé à chaque contraintes, de la même manière que pour la fonction objective. Chaque contrainte d'égalité s'écrit sur une ligne avec un espace entre chaque coefficient. Ainsi, si on veut écrire "x1 + x2 + x3 = 9" et "5x2 +
                        5x3 = 11", on a:
                    </p>
                    <div class="form-group">
                        <label>Contraintes d'égalités</label>
                        <textarea type="text" name="constraints" placeholder="1 1 1 9
0 5 5 11" class="form-control" value="">1 1 1 9
0 5 5 11</textarea>
                    </div>
                    <p>
                        Ici, on écrit toutes les contraintes d'inégalités de la forme "7 -x1 >= 0". On écrit alors "7 -x1".
                        <br/> ATTENTION: il faut obligatoirement avoir ">= 0" dans le membre de droite, quitte à faire les changements nécessaires.
                    </p>
                    <div class="form-group">
                        <label>Contraintes d'inégalités</label>
                        <textarea type="text" name="inequality_constraint" placeholder="7 -x1
x1
x2" class="form-control">7 -x1
6 -x2
x1
x2</textarea>
                    </div>
                    <p>
                        Enfin, on donne une solution admissible du problème. On écrit les valeurs variables les unes à la suite des autres, séparées par un espace.
                        <br/> ATTENTION: on utilise le point pour la décimale.
                    </p>
                    <div class="form-group">
                        <label>Solution admissible</label>
                        <input type="text" name="feasible_solution" value="6.80 2.43 -0.23" class="form-control" value="" />
                    </div>
                    <div class="form-group" align="center">
                        <input type="submit" name="submit" class="btn btn-info" value="Submit" />
                    </div>
                </form>
            </div>
        </div>
</body>

</html>